Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596660 - Review Request: crimson-text-fonts - A latin font for the production of technical books and papers
Summary: Review Request: crimson-text-fonts - A latin font for the production of techn...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 09:15 UTC by Parag Nemade
Modified: 2010-07-01 06:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 06:36:52 UTC
dueno: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-05-27 09:15:49 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/crimson-text-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/crimson-text-fonts-20100523-1.fc13.src.rpm
Description: 
A latin font for a quality typeface for the production of books and
papers, particularly technical ones.

Comment 1 Parag Nemade 2010-05-28 05:13:34 UTC
https://fedoraproject.org/wiki/Crimson_text_fonts

Comment 2 Daiki Ueno 2010-05-28 07:17:03 UTC
Mostly ok.

According to the web page:
http://aldusleaf.org
the font is under development and font files are frequently replaced, so I think this is the case of "Pre-Release packages":
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

I would suggest "Version: 0" and "Release: 0.1.20100523%{?dist}", or use the version 0.01 in Google Font Directory.

Comment 4 Daiki Ueno 2010-05-31 02:47:51 UTC
Sorry, one more thing.  There is a critical typo in %install:

 install -m 0644 -p %{SOURCE1} \
         %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

should be:

 install -m 0644 -p %{SOURCE3} \
         %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

I wonder why I didn't notice this in the previous test.

All the rest looks ok.

Comment 5 Parag Nemade 2010-05-31 07:48:47 UTC
Thank you for the review Daiki.

New Package CVS Request
=======================
Package Name: crimson-text-fonts
Short Description: A latin font for the production of technical books and papers
Owners: pnemade
Branches: F-13 
InitialCC: fonts-sig i18n-team

Comment 6 Kevin Fenzi 2010-05-31 19:29:51 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-06-01 05:25:01 UTC
crimson-text-fonts-0-0.1.20100523.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/crimson-text-fonts-0-0.1.20100523.fc13

Comment 8 Fedora Update System 2010-06-01 18:26:32 UTC
crimson-text-fonts-0-0.1.20100523.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update crimson-text-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/crimson-text-fonts-0-0.1.20100523.fc13


Note You need to log in before you can comment on or make changes to this bug.